# Spire

This is a Spire setup for the single cluster scenario.

## Run

To apply spire deployments following the next command:
```bash
kubectl --context kind-kind  apply -k ../../../../../../../../../Users/user/repos/NSM/deployments-k8s/examples/spire/single_cluster
```

Wait for PODs status ready:
```bash
kubectl --context kind-kind  wait -n spire --timeout=3m --for=condition=ready pod -l app=spire-server
```
```bash
kubectl --context kind-kind  wait -n spire --timeout=1m --for=condition=ready pod -l app=spire-agent
```

Apply the ClusterSPIFFEID CR for the cluster:
```bash
kubectl --context kind-kind  apply -f ../../../../../../../../../Users/user/repos/NSM/deployments-k8s/examples/spire/single_cluster/clusterspiffeid-template.yaml
```

```bash
kubectl --context kind-kind  apply -f ../../../../../../../../../Users/user/repos/NSM/deployments-k8s/examples/spire/base/clusterspiffeid-webhook-template.yaml
```

## Cleanup

Delete ns:
```bash
kubectl --context kind-kind  delete crd clusterspiffeids.spire.spiffe.io
kubectl --context kind-kind  delete crd clusterfederatedtrustdomains.spire.spiffe.io
kubectl --context kind-kind  delete validatingwebhookconfiguration.admissionregistration.k8s.io/spire-controller-manager-webhook
kubectl --context kind-kind  delete ns spire
```
